Subject: RE: [eap] Re: EAP-TLS

From: Vijay Govindarajulu <[email-masked]>
Date: Mon, 16 Aug 2004 08:46:22 -0700

Hi there 

   The Calculation is done in accordance to section 3.5.Key derivation in
RFC 2716. Note: I am using the Stream Cipher and NOT block cipher.
 
            After this calculation is done the following happens

            1) First 32 bytes is the unencrypted value for "MPPE-Recv-Key"

2) Last 32 bytes is the unencrypted value for "MPPE-Send-Key"

3) I do the encryption on these values as described in RFC 2548 section2.4.2
and 2.4.3

Thanks and regards

Vijay Kumar Govindarajulu

  _____  

From: [email-masked] [mailto:[email-masked]] On Behalf Of
Bernard Aboba
Sent: Monday, August 16, 2004 8:46 PM
To: [email-masked]
Subject: [eap] Re: EAP-TLS

> 1) generate 64 bytes using 
> 
> PRF(master key,"client EAP encryption",client Rand , server Rand); 

How are you doing this calculation? 

MS-MPPE-Send-Key = NAS -> Remote Host master key (second 32 octets) 
MS-MPPE-Recv-Key = Remote Host -> NAS master key (first 32 octets) 
_______________________________________________ 
eap mailing list 
[email-masked] 
http://mail.frascone.com/mailman/listinfo/eap
<http://mail.frascone.com/mailman/listinfo/eap>  

_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap